Bug 52214 - [4.7 Regression] FAIL: g++.dg/tree-ssa/pr44706.C -std=gnu++* scan-tree-dump-not fnsplit "Splitting function"
Summary: [4.7 Regression] FAIL: g++.dg/tree-ssa/pr44706.C -std=gnu++* scan-tree-dump-n...
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: middle-end (show other bugs)
Version: 4.7.0
: P3 normal
Target Milestone: 4.7.0
Assignee: Jan Hubicka
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-12 13:12 UTC by Dominique d'Humieres
Modified: 2012-06-11 09:10 UTC (History)
3 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed: 2012-02-12 00:00:00


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dominique d'Humieres 2012-02-12 13:12:50 UTC
The test g++.dg/tree-ssa/pr44706.C fails since revision 184089 (see http://gcc.gnu.org/ml/gcc-regression/2012-02/msg00024.html ).
Comment 1 Hans-Peter Nilsson 2012-02-12 20:34:05 UTC
Same for cris-elf appearing in the range 184085:184095. Probably everywhere except the system type Honza used to test.
Comment 2 Jan Hubicka 2012-02-13 02:12:45 UTC
mine.
Comment 3 Jan Hubicka 2012-02-13 23:29:38 UTC
Author: hubicka
Date: Mon Feb 13 23:29:34 2012
New Revision: 184180

URL: http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=184180
Log:

	PR middle-end/52214
	* predict.c (predict_paths_for_bb): Fix thinko in prevoius patch.

Modified:
    trunk/gcc/ChangeLog
    trunk/gcc/predict.c
Comment 4 Dominique d'Humieres 2012-02-14 14:49:40 UTC
Closing as fixed.
Comment 5 jye2 2012-06-11 09:10:16 UTC
Author: jye2
Date: Mon Jun 11 09:10:07 2012
New Revision: 188381

URL: http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=188381
Log:
2012-06-11  Joey Ye  <joey.ye@arm.com>

	Backport r184089,184180 from mainline
	2012-02-10  Jan Hubicka  <jh@suse.cz>

	PR middle-end/48600
	* predict.c (predict_paths_for_bb): Prevent looping.
	(predict_paths_leading_to_edge, predict_paths_leading_to): Update.

	2012-02-13  Jan Hubicka  <jh@suse.cz>

	PR middle-end/52214
	* predict.c (predict_paths_for_bb): Fix thinko in prevoius patch.


	Backport partly r181172 from mainline
	2011-11-08  Michael Matz  <matz@suse.de>

	PR bootstrap/51969
	* gengtype.c (write_field_root): Avoid out-of-scope access of newv.

testsuite:

	Backport r184089 from mainline
	2012-02-10  Jan Hubicka  <jh@suse.cz>

	PR middle-end/48600
	* g++.dg/torture/pr48600.C: New testcase.

Added:
    branches/ARM/embedded-4_6-branch/gcc/testsuite/c-c++-common/pr52181.c
    branches/ARM/embedded-4_6-branch/gcc/testsuite/g++.dg/torture/pr48600.C
Modified:
    branches/ARM/embedded-4_6-branch/gcc/ChangeLog.arm
    branches/ARM/embedded-4_6-branch/gcc/gengtype.c
    branches/ARM/embedded-4_6-branch/gcc/predict.c
    branches/ARM/embedded-4_6-branch/gcc/testsuite/ChangeLog.arm